DevHeads.net

Orphaned packages to be retired

The following packages are orphaned and will be retired when they
are orphaned for six weeks, unless someone adopts them. If you know for sure
that the package should be retired, please do so now with a proper reason:
<a href="https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life" title="https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life">https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life</a>

I plan to retire packages that were already announced 3 times next Monday.

Unorphan/unretire packages at <a href="https://pagure.io/releng/issues" title="https://pagure.io/releng/issues">https://pagure.io/releng/issues</a>

(I still cannot unorphan packages, but rest assured that I monitor the tracker
and I'm not retiring packages that have open request for unorphaning.)

Note: If you received this mail directly you (co)maintain one of the affected
packages or a package that depends on one. Please adopt the affected package or
retire your depending package to avoid broken dependencies, otherwise your
package will be retired when the affected package gets retired.

Remarks: Some packages are falsely reported as orphaned for 60+ weeks.
The issue was reported and I won't retire them sooner than after real 6 weeks.
Sorry about that.

Package (co)maintainers Status Change
================================================================================
OSGi-bundle-ant-task orphan 0 weeks ago
RunSnakeRun orphan 3 weeks ago
autotrash frafra, orphan, robyduck 5 weeks ago
blobby orphan 0 weeks ago
catkin orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
clang5.0 orphan, tstellar 0 weeks ago
clang6.0 orphan, tstellar 0 weeks ago
dcm4che-test orphan 0 weeks ago
dnsyo codeblock, orphan 3 weeks ago
fasd orphan 5 weeks ago
glacier-cli orphan 0 weeks ago
gnumed orphan 0 weeks ago
hamster-time-tracker orphan 0 weeks ago
hoard orphan 30 weeks ago
jigdo jsteffan, orphan 0 weeks ago
kapow orphan 0 weeks ago
labyrinth orphan 1 weeks ago
llvm5.0 jistone, orphan, tstellar 0 weeks ago
llvm6.0 orphan, tstellar 0 weeks ago
memaker orphan 1 weeks ago
nautilus-pastebin orphan 0 weeks ago
nut-nutrition orphan 0 weeks ago
python-ceilometermiddleware orphan 69 weeks ago
python-cookies adamwill, orphan 5 weeks ago
python-django-post_office orphan 0 weeks ago
python-django-stopforumspam orphan 0 weeks ago
python-gencpp orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
python-genlisp orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
python-genmsg orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
python-genpy orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
python-kafka orphan 78 weeks ago
python-pankoclient orphan 78 weeks ago
python-ripe-atlas-cousteau orphan 5 weeks ago
python-ripe-atlas-sagan orphan 5 weeks ago
python-socketIO-client orphan 5 weeks ago
ripe-atlas-tools orphan 5 weeks ago
ros-release orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
rospack orphan, rmattes, robotics-sig, 2 weeks ago
thofmann
rssdler orphan 0 weeks ago
scout orphan 1 weeks ago
toothchart orphan 1 weeks ago
unp mstuchli, orphan, python-sig 3 weeks ago
xsel mizdebsk, msrb, orphan 1 weeks ago
xword orphan 1 weeks ago

The following packages require above mentioned packages:
Depending on: catkin (4), status change: 2019-01-20 (2 weeks ago)
python-gencpp (maintained by: orphan, rmattes, robotics-sig, thofmann)
python-gencpp-0.3.4-14.20130623git403d067.fc29.src requires catkin-devel =
0.4.5-19.gitd4f1f24.fc29

python-genlisp (maintained by: orphan, rmattes, robotics-sig, thofmann)
python-genlisp-0.3.3-14.20130623git8790a17.fc29.src requires catkin-devel =
0.4.5-19.gitd4f1f24.fc29

python-genmsg (maintained by: orphan, rmattes, robotics-sig, thofmann)
python-genmsg-0.3.10-16.20130617git95ca00d.fc28.src requires catkin-devel =
0.4.5-19.gitd4f1f24.fc29

python-genpy (maintained by: orphan, rmattes, robotics-sig, thofmann)
python-genpy-0.3.7-16.20130623giteddf66e.fc29.src requires catkin-devel =
0.4.5-19.gitd4f1f24.fc29

Depending on: clang5.0 (1), status change: 2019-01-28 (0 weeks ago)
iwyu (maintained by: daveisfera)
iwyu-0.9-0.1.20171001git576e80f.fc28.i686 requires libclangAST.so.5,
libclangAnalysis.so.5, libclangBasic.so.5, libclangDriver.so.5,
libclangEdit.so.5, libclangFrontend.so.5, libclangLex.so.5, libclangParse.so.5,
libclangSema.so.5, libclangSerialization.so.5

Depending on: clang6.0 (5), status change: 2019-01-28 (0 weeks ago)
beignet (maintained by: ignatenkobrain)
beignet-1.3.2-5.fc29.i686 requires libclangAST.so.6, libclangAnalysis.so.6,
libclangBasic.so.6, libclangCodeGen.so.6, libclangDriver.so.6,
libclangEdit.so.6, libclangFrontend.so.6, libclangLex.so.6, libclangParse.so.6,
libclangSema.so.6, libclangSerialization.so.6,
libclangStaticAnalyzerCheckers.so.6, libclangStaticAnalyzerCore.so.6,
libclangStaticAnalyzerFrontend.so.6

ispc (maintained by: luya, slaanesh)
ispc-1.9.3-0.2.git.20180222.07fe054.fc29.i686 requires libclangAST.so.6,
libclangAnalysis.so.6, libclangBasic.so.6, libclangDriver.so.6,
libclangEdit.so.6, libclangFrontend.so.6, libclangLex.so.6, libclangParse.so.6,
libclangSema.so.6, libclangSerialization.so.6

rtags (maintained by: gicmo)
rtags-2.18-2.fc29.i686 requires libclang.so.6, libclang.so.6(LLVM_6.0)

embree (maintained by: luya, slaanesh)
embree-3.0.0-2.40b9acagit.fc29.src requires ispc =
1.9.3-0.2.git.20180222.07fe054.fc29

embree2 (maintained by: luya)
embree2-2.17.6-1.fc30.src requires ispc = 1.9.3-0.2.git.20180222.07fe054.fc29

Depending on: gnumed (1), status change: 2019-02-03 (0 weeks ago)
gnumed-server (maintained by: susmit)
gnumed-server-21.7-7.fc29.noarch requires gnumed = 1.6.7-7.fc29

Depending on: hamster-time-tracker (1), status change: 2019-02-03 (0 weeks ago)
xfce4-hamster-plugin (maintained by: nonamedotc, williamjmorenor)
xfce4-hamster-plugin-1.7-20.fc29.i686 requires hamster-time-tracker =
2.0-0.15.rc1.fc29

Depending on: llvm5.0 (1), status change: 2019-01-28 (0 weeks ago)
clang5.0 (maintained by: orphan, tstellar)
clang5.0-5.0.1-5.fc29.src requires llvm5.0-devel = 5.0.1-8.fc29,
llvm5.0-static = 5.0.1-8.fc29

Depending on: llvm6.0 (17), status change: 2019-01-28 (0 weeks ago)
clang6.0 (maintained by: orphan, tstellar)
clang6.0-6.0.1-7.fc30.src requires llvm6.0-devel = 6.0.1-7.fc29,
llvm6.0-static = 6.0.1-7.fc29

ldc (maintained by: bioinfornatics, cicku, kalev)
ldc-1:1.12.0-2.fc30.i686 requires libLLVM-6.0.so, libLLVM-6.0.so(LLVM_6.0)
ldc-1:1.12.0-2.fc30.src requires llvm6.0-devel = 6.0.1-7.fc29, llvm6.0-static
= 6.0.1-7.fc29

appstream-generator (maintained by: ngompa)
appstream-generator-0.6.8-1.fc29.src requires ldc = 1:1.12.0-2.fc30

avgtime (maintained by: rjones)
avgtime-0.5.1-0.17.git20150501.fc30.src requires ldc = 1:1.12.0-2.fc30

containers (maintained by: bioinfornatics)
containers-0.8.0-4.alpha.9.fc30.src requires ldc = 1:1.12.0-2.fc30

derelict (maintained by: bioinfornatics, cicku, kalev)
derelict-3-44.20150730git10a517b.fc28.src requires ldc = 1:1.12.0-2.fc30

dsymbol (maintained by: bioinfornatics)
dsymbol-20181014gitec28618-4.fc30.src requires ldc = 1:1.12.0-2.fc30

dustmite (maintained by: bioinfornatics, cicku, kalev)
dustmite-1-40.20150515git3498068.fc30.src requires ldc = 1:1.12.0-2.fc30

gir-to-d (maintained by: ngompa)
gir-to-d-0.15.0-1.fc29.src requires ldc = 1:1.12.0-2.fc30

gl3n (maintained by: bioinfornatics, cicku, kalev)
gl3n-1.3.1-9.fc28.src requires ldc = 1:1.12.0-2.fc30

gtkd (maintained by: bioinfornatics, cicku, kalev)
gtkd-3.8.5-1.fc30.src requires ldc = 1:1.12.0-2.fc30

libdparse (maintained by: bioinfornatics)
libdparse-0.9.9-3.fc30.src requires ldc = 1:1.12.0-2.fc30

msgpack-d (maintained by: bioinfornatics)
msgpack-d-1.0.0-0.2.beta.7.fc30.src requires ldc = 1:1.12.0-2.fc30

mustache-d (maintained by: ngompa)
mustache-d-0.1.3-7.fc29.src requires ldc = 1:1.12.0-2.fc30

onedrive (maintained by: thomasfedb, zsun)
onedrive-2.2.1-2.fc30.src requires ldc = 1:1.12.0-2.fc30

stdx-allocator (maintained by: bioinfornatics)
stdx-allocator-2.77.2-3.fc30.src requires ldc = 1:1.12.0-2.fc30

tilix (maintained by: kalev)
tilix-1.8.9-1.fc30.src requires ldc = 1:1.12.0-2.fc30

Depending on: python-cookies (1), status change: 2018-12-29 (5 weeks ago)
python-responses (maintained by: athoscr)
python-responses-0.9.0-5.fc30.src requires python3-cookies = 2.2.1-14.fc30
python3-responses-0.9.0-5.fc30.noarch requires python3.7dist(cookies) = 2.2.1

Depending on: python-kafka (1), status change: 2017-08-04 (78 weeks ago)
python-oslo-messaging (maintained by: apevec, gchamoul, markmc, ndipanov,
openstack-sig)
python-oslo-messaging-5.35.1-1.fc30.src requires python2-kafka = 1.4.3-1.fc29,
python3-kafka = 1.4.3-1.fc29
python2-oslo-messaging-tests-5.35.1-1.fc30.noarch requires python2-kafka =
1.4.3-1.fc29
python3-oslo-messaging-tests-5.35.1-1.fc30.noarch requires python3-kafka =
1.4.3-1.fc29

Depending on: python-socketIO-client (1), status change: 2018-12-28 (5 weeks ago)
python-ripe-atlas-cousteau (maintained by: orphan)
python-ripe-atlas-cousteau-1.3-9.fc30.src requires python3-socketIO-client =
0.7.2-3.fc30

Depending on: ros-release (1), status change: 2019-01-20 (2 weeks ago)
fawkes (maintained by: rmattes, thofmann, timn)
fawkes-devenv-1.0.1-18.fc29.i686 requires ros-release = 5.0-12.fc29

Depending on: rospack (1), status change: 2019-01-20 (2 weeks ago)
fawkes (maintained by: rmattes, thofmann, timn)
fawkes-devenv-1.0.1-18.fc29.i686 requires rospack = 2.0.14-20.fc29,
rospack-devel = 2.0.14-20.fc29

Depending on: xsel (7), status change: 2019-01-28 (1 weeks ago)
R-clipr (maintained by: qulogic)
R-clipr-0.4.1-3.fc29.noarch requires xsel = 1.2.0-23.fc29
R-clipr-0.4.1-3.fc29.src requires xsel = 1.2.0-23.fc29

bitlyclip (maintained by: ralph)
bitlyclip-0.2.2-13.fc29.noarch requires xsel = 1.2.0-23.fc29

keepass (maintained by: mavit, tpokorra)
keepass-2.40-1.fc30.i686 requires xsel = 1.2.0-23.fc29

manaplus (maintained by: bruno)
manaplus-1.3.10.27.2-8.fc23.i686 requires xsel = 1.2.0-23.fc29

R-reprex (maintained by: qulogic)
R-reprex-0.2.1-1.fc30.noarch requires R-clipr = 0.4.1-3.fc29
R-reprex-0.2.1-1.fc30.src requires R-clipr = 0.4.1-3.fc29

tmw (maintained by: raphgro)
tmw-20130201-10.fc29.noarch requires manaplus = 1.3.10.27.2-8.fc23

tmw-music (maintained by: raphgro)
tmw-music-0.3.0.1-0.5.20151005git0fe3e21.fc29.noarch requires tmw =
20130201-10.fc29

Affected (co)maintainers
adamwill: python-cookies
apevec: python-kafka
athoscr: python-cookies
bioinfornatics: llvm6.0
bruno: xsel
cicku: llvm6.0
codeblock: dnsyo
daveisfera: clang5.0
frafra: autotrash
gchamoul: python-kafka
gicmo: clang6.0
ignatenkobrain: clang6.0
jistone: llvm5.0
jsteffan: jigdo
kalev: llvm6.0
luya: clang6.0
markmc: python-kafka
mavit: xsel
mizdebsk: xsel
msrb: xsel
mstuchli: unp
ndipanov: python-kafka
ngompa: llvm6.0
nonamedotc: hamster-time-tracker
openstack-sig: python-kafka
python-sig: unp
qulogic: xsel
ralph: xsel
raphgro: xsel
rjones: llvm6.0
rmattes: python-gencpp, ros-release, python-genlisp, catkin, rospack,
python-genpy, python-genmsg
robotics-sig: python-gencpp, ros-release, python-genlisp, catkin, rospack,
python-genpy, python-genmsg
robyduck: autotrash
slaanesh: clang6.0
susmit: gnumed
thofmann: python-gencpp, ros-release, python-genlisp, catkin, rospack,
python-genpy, python-genmsg
thomasfedb: llvm6.0
timn: ros-release, rospack
tpokorra: xsel
tstellar: clang5.0, llvm6.0, clang6.0, llvm5.0
williamjmorenor: hamster-time-tracker
zsun: llvm6.0

Orphans (44): OSGi-bundle-ant-task RunSnakeRun autotrash blobby
catkin clang5.0 clang6.0 dcm4che-test dnsyo
fasd glacier-cli gnumed hamster-time-tracker hoard
jigdo kapow labyrinth llvm5.0 llvm6.0 memaker
nautilus-pastebin nut-nutrition python-ceilometermiddleware
python-cookies python-django-post_office
python-django-stopforumspam python-gencpp python-genlisp
python-genmsg python-genpy python-kafka python-pankoclient
python-ripe-atlas-cousteau python-ripe-atlas-sagan
python-socketIO-client ripe-atlas-tools ros-release rospack
rssdler scout toothchart unp xsel xword

Orphans (dependend on) (13): catkin clang5.0 clang6.0 gnumed
hamster-time-tracker llvm5.0 llvm6.0 python-cookies python-kafka
python-socketIO-client ros-release rospack xsel

Orphans (rawhide) for at least 6 weeks (dependend on) (1):
python-kafka

Orphans (rawhide) (not depended on) (31): OSGi-bundle-ant-task
RunSnakeRun autotrash blobby dcm4che-test dnsyo
fasd glacier-cli hoard jigdo kapow
labyrinth memaker nautilus-pastebin nut-nutrition
python-ceilometermiddleware python-django-post_office
python-django-stopforumspam python-gencpp python-genlisp
python-genmsg python-genpy python-pankoclient
python-ripe-atlas-cousteau python-ripe-atlas-sagan
ripe-atlas-tools rssdler scout toothchart unp xword

Orphans (rawhide) for at least 6 weeks (not dependend on) (3):
hoard python-ceilometermiddleware python-pankoclient

Depending packages (rawhide) (41): R-clipr R-reprex
appstream-generator avgtime beignet bitlyclip clang5.0 clang6.0
containers derelict dsymbol dustmite embree embree2 fawkes
gir-to-d gl3n gnumed-server gtkd ispc iwyu keepass ldc libdparse
manaplus msgpack-d mustache-d onedrive python-gencpp
python-genlisp python-genmsg python-genpy python-oslo-messaging
python-responses python-ripe-atlas-cousteau rtags stdx-allocator
tilix tmw tmw-music xfce4-hamster-plugin

Packages depending on packages orphaned (rawhide) for more than 6
weeks (1): python-oslo-messaging

Not found in repo (rawhide) (2): embree embree2

Comments

Re: Orphaned packages to be retired

By =?UTF-8?Q?Tomas... at 02/06/2019 - 09:48

Just FTR only: current state of the f30 mass rebuild:

Below command has been executed in rawhide/Everything/source/tree/Packages/
directory.

$ for i in fc{21..30}; do echo "$i $(ls -1 */*$i.src.rpm | wc -l)"; done;
echo; ls -1 ?/*|wc -l
fc21 16
fc22 15
fc23 21
fc24 81
fc25 12
fc26 61
fc27 79
fc28 234
fc29 14632
fc30 7477

22731

Already have been published only ~1/3 of all packages.
It will be good as well ASAP remove all <= f29.*.rpm packages from source
and binary trees (now <= 28 and all f29 packages before final f30 release).
IMO each major Fedora release process should be closed by remove all prev
release packages which was not possible to clean/bring to at least
correctly building state (which is not the case for now).

kloczek

Re: Orphaned packages to be retired

By Richard W.M. Jones at 02/06/2019 - 09:37

On Mon, Feb 04, 2019 at 09:26:00PM +0100, Miro Hrončok wrote:
Hopefully fixed in avgtime-0.5.1-0.19.git20150501.fc30.

Rich.

Re: Orphaned packages to be retired

By =?ISO-8859-1?Q?... at 02/06/2019 - 12:04

On Wed, 2019-02-06 at 14:37 +0000, Richard W.M. Jones wrote:
but ldc stil use llvm6.0-devel and llvm6.0-static 6.0.1-7.fc29 .

The correct fix should be build ldc with other llvm ...

Re: Orphaned packages to be retired

By Richard W.M. Jones at 02/07/2019 - 04:45

On Wed, Feb 06, 2019 at 05:04:47PM +0000, Sérgio Basto wrote:
The other thing that has happened here is that we now have a D
compiler frontend for gcc (gdc). I didn't try compiling avgtime using
it however.

Rich.